Subject: Re: [bitcoin-dev] A Better MMR Definition

From: Peter Todd <[email-masked]>
Date: Tue, 28 Feb 2017 20:56:16 -0500

On Tue, Feb 28, 2017 at 05:47:30PM -0800, Bram Cohen via bitcoin-dev wrote:
> On Tue, Feb 28, 2017 at 3:24 PM, Pieter Wuille <[email-masked]>
> wrote:
> 
> >
> > Yes, someone needs to have a lookup table from prevouts to TXO tree
> > positions. But because an insertion-ordered TXO tree does not rebalance,
> > that table can be maintained by wallets or service providers for just their
> > own coins, instead of by every full node and miner individually for
> > everyone's coins.
> >
> 
> That falls apart if you want to support proofs of non-spend, which is the
> point of the whole exercise

Can you explain in more detail what you mean there?

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org